--[[
VPLanguage = lua
VPScriptMenuTitle = In Document
VPScriptSuperMenuTitle = Word Count
VPEndConfig
]]

totalPageCount  = 0
totalWordCount  = 0
document        = windowController:document()
pageKey         = nil
enum            = document:keys():objectEnumerator()
sc              = objc.class("NSSpellChecker"):sharedSpellChecker()
pageKey         = enum:nextObject()
while pageKey do
    attString   = document:vpDataForKey(pageKey):dataAsAttributedString()
    
    if attString then
        --[[ some "pages" in the document are actually url's, so we need to make sure
             we are not grabbing some bad text out. ]]
        pageText       = attString:string()
        totalWordCount = totalWordCount + sc:countWordsInString_language(pageText, sc:language())
        totalPageCount = totalPageCount + 1
    end

    pageKey        = enum:nextObject()
end

s = string.format("There are %d words in %d pages", totalWordCount, totalPageCount)

nsAlert("Document word count", s, nil, nil, nil)
