--[[
VPLanguage = lua
VPScriptMenuTitle = In Page
VPScriptSuperMenuTitle = Word Count
VPEndConfig
]]

textView        = windowController:textView()
text            = textView:textStorage():string()
sc              = objc.class("NSSpellChecker"):sharedSpellChecker()
wordCount       = sc:countWordsInString_language(text, sc:language())

lText           = nsToLuaString(text)
lText           = string.gsub(lText, '\r\n', '\n')
lText           = string.gsub(lText, '\r', '\n')
letterCount     = string.len(lText)
lineCount       = 1

for w in string.gfind(lText, '\n') do
    lineCount = lineCount + 1
end


s = string.format("%d words.\n%d lines.\n%d letters.", wordCount, lineCount, letterCount)

nsAlert("Word Count", s, nil, nil, nil)
